Summary: Windows MetaFile Library
Name: libwmf
Version: 0.2.8.4
Release: 1
Group: System Environment/Libraries
License: LGPLv2+
URL: http://wvware.sourceforge.net/libwmf.html
Source: http://downloads.sourceforge.net/wvware/%{name}-%{version}.tar.gz
Patch0: %{name}-0.2.8.3-nodocs.patch
Patch1: %{name}-0.2.8.3-relocatablefonts.patch
Patch2: %{name}-%{version}-fallbackfont.patch
Patch3: %{name}-%{version}-deps.patch
Patch4: %{name}-%{version}-multiarchdevel.patch
Patch5: %{name}-%{version}-intoverflow.patch
Patch6: %{name}-%{version}-reducesymbols.patch
Patch7: %{name}-%{version}-aix.patch

Buildroot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires: patch
BuildRequires: freetype2-devel >= 2.3.5
BuildRequires: libjpeg-devel
BuildRequires: libpng-devel
BuildRequires: libxml2-devel >= 2.6.31
BuildRequires: zlib-devel
Requires: urw-fonts
Requires: freetype2 >= 2.3.5
Requires: libjpeg
Requires: libpng
Requires: libxml2 >= 2.6.31
Requires: zlib

%description
A library for reading and converting Windows MetaFile vector graphics (WMF).

The library is available as 32-bit and 64-bit.


%package devel
Summary: Support files necessary to compile applications with libwmf
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: freetype2-devel >= 2.3.5
Requires: libjpeg-devel
Requires: libpng-devel
Requires: libxml2-devel >= 2.6.31
Requires: zlib-devel

%description devel
Libraries, headers, and support files necessary to compile applications 
using libwmf.

If you are compiling a 32-bit program, no special compiler options are
needed.

If you are compiling a 64-bit program, you have to compile and link your
application with "cc -q64" or "gcc -maix64".


%prep
export PATH=/opt/freeware/bin:$PATH
%setup -q
%patch0 -p1 -b .nodocs
%patch1 -p1 -b .relocatablefonts
%patch2 -p1 -b .fallbackfont
%patch3 -p1 -b .deps
%patch4 -p1 -b .multiarchdevel
%patch5 -p1 -b .intoverflow
%patch6 -p1 -b .reducesymbols.patch
%patch7


%build
# setup environment for 32-bit and 64-bit builds
export AR="ar -X32_64"
export NM="nm -X32_64"

# first build the 64-bit version
export CC="cc -q64"
./configure \
    --prefix=%{_prefix} \
    --enable-shared --disable-static \
    --enable-gd \
    --with-x \
    --with-libxml2 \
    --with-zlib \
    --with-png \
    --with-jpeg \
    --with-sysfontmap=%{_datadir}/fonts/fontmap \
    --with-gsfontmap=%{_datadir}/ghostscript/Fontmap \
    --with-gsfontdir=%{_datadir}/fonts/default/Type1
make %{?_smp_mflags}

cp src/.libs/%{name}-0.2.so.7 .
cp src/.libs/%{name}lite-0.2.so.7 .
make distclean

# now build the 32-bit version
export CC="cc"
./configure \
    --prefix=%{_prefix} \
    --enable-shared --disable-static \
    --enable-gd \
    --with-x \
    --with-libxml2 \
    --with-zlib \
    --with-png \
    --with-jpeg \
    --with-sysfontmap=%{_datadir}/fonts/fontmap \
    --with-gsfontmap=%{_datadir}/ghostscript/Fontmap \
    --with-gsfontdir=%{_datadir}/fonts/default/Type1
make %{?_smp_mflags}


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
make DESTDIR=${RPM_BUILD_ROOT} install

# setup environment for 32-bit and 64-bit builds
export AR="ar -X32_64"

# add the 64-bit shared objects to the shared library containing already the
# 32-bit shared objects
${AR} -q ${RPM_BUILD_ROOT}%{_libdir}/%{name}.a ./%{name}-0.2.so.7
${AR} -q ${RPM_BUILD_ROOT}%{_libdir}/%{name}lite.a ./%{name}lite-0.2.so.7

/usr/bin/strip ${RPM_BUILD_ROOT}%{_bindir}/* || :

(
  cd ${RPM_BUILD_ROOT}
  for dir in bin include lib
  do
    mkdir -p usr/${dir}
    cd usr/${dir}
    ln -sf ../..%{_prefix}/${dir}/* .
    cd -
  done
)


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system,-)
%doc AUTHORS COPYING README
%{_bindir}/wmf2*
%{_bindir}/%{name}-fontmap
%{_libdir}/*.a
%{_datadir}/%{name}
/usr/bin/wmf2*
/usr/bin/%{name}-fontmap
/usr/lib/*.a


%files devel
%defattr(-,root,system,-)
%doc doc/*.html doc/*.png doc/*.gif doc/html doc/caolan
%{_bindir}/%{name}-config
%{_includedir}/*
%{_libdir}/*.la
/usr/bin/%{name}-config
/usr/include/*
/usr/lib/*.la


%changelog
* Wed Aug 20 2008 Michael Perzl <michael@perzl.org> - 0.2.8.4-1
- first version for AIX V5.1 and higher
